/* HeroesComponent's private CSS styles */
.heroes {
    margin: 0 0 2em 0;
    list-style-type: none;
    padding: 0;
    width: 15em;
  }
  
  .heroes li {
    display: flex;
  }
  .herolink {
    width:100%;
    text-decoration: none;
  }
  .heroes .primary {
    flex: 1;
    width:100%;
    cursor: pointer;
    position: relative;
    left: 0;
    background-color: #EEE;
    margin: .5em;
    padding: 0;
    border-radius: 4px;
    display: flex;
    align-items: stretch;
    height: 1.8em;
  }
  
  .heroes .primary:hover {
    color: #2c3a41;
    background-color: #e6e6e6;
    left: .1em;
  }
  
  .heroes .primary:active {
    background-color: #525252;
    color: #fafafa;
  }
  
  .heroes .primary.selected {
    background-color: black;
    color: white;
  }
  
  .heroes .primary.selected:hover {
    background-color: #505050;
    color: white;
  }
  
  .heroes .primary.selected:active {
    background-color: black;
    color: white;
  }
  
  .heroes .badge {
    display: flex;
    font-size: small;
    color: white;
    padding: .5rem;
    background-color: #405061;
    line-height: 1em;
    margin-right: .8em;
    align-items: center;
    border-radius: 4px 0 0 4px;
  }
  
  .heroes .name {
    align-self: center;
  }

  .btn-danger {
    margin:0.5em;
  }